import http from '../../src/http';
import login from '../../src/api/login';
import util, {fuzzyQuery} from '../../src/libs/util.js';

Page({
  data: {
    url: {
      getDepart: '/jeecg/sys/sysDepart/listAll',
      bindTenant: '/jeecg/zzdApi/bindSysDepart'
    },
    departList: [],
    value: [0],
    searchValue: '',
  },
  onLoad(query) {
    // 页面加载
    this.initDepart()
  },
  initDepart() {
    const _this = this
    http.get(this.data.url.getDepart).then(res => {
      if (res.success) {
        _this.setData({
          departList: res.result
        })
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
  searchSubmit() {
    let departName = fuzzyQuery(this.data.departList.map(i => i.departName), this.data.searchValue)[0]
    let index = this.data.departList.findIndex(i => i.departName === departName)
    this.setData({
      value: [index]
    })
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
  },
  onChange(e) {
    this.setData({
      value: e.detail.value
    });
  },
  handleSubmit() {
    const depart = this.data.departList[this.data.value[0]]
    http.post(getApp().globalData.host + this.data.url.bindTenant, { id: getApp().globalData.userInfo.userId, departIds: depart.id}).then(res => {
      if (res.success) {
        login()
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
});
