import http from '../../src/http/index'
import util from '../../src/libs/util'
import dd from 'gdt-jsapi';

Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    searchValue: ''
  },
  onLoad() {
    this.setData({
      userId: getApp().globalData.userInfo.userId
    })
    this.getCarList()
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
    this.getCarList()
  },
  searchSubmit() {
    this.getCarList()
  },
  getCarList() {
    let data = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      carNumber: this.data.searchValue
    }
    http.post(getApp().globalData.service + '/api/T_Equipment/GetList', data).then(res => {
      if (res.Success) {
        this.setData({
          carList: res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  onPullDownRefresh() {
    this.setData({
      pageSize: 10
    })
    this.getCarList()
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getCarList();
  },
  addCar() {
    dd.redirectTo({
      url: '../addCar/addCar'
    })
  },
  editCar(e) {
    let car = e.target.targetDataset.info
    dd.redirectTo({
      url: '../addCar/addCar?id=' +car.id + '&carNumber=' + car.carNumber + '&carType=' + car.carType
    })
  }
});
