import http from '../../src/http/index'
import util from '../../src/libs/util'

Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    searchValue: '',
    roleList: [
      {roleId: 'e51758fa916c881624b046d26bd09230', name: '领导'},
      {roleId: '1429329085694271710', name: '白名单'},
      {roleId: '1429329085699571714', name: '普通用户'},
    ],
    modalOpened: false,
    buttons: [
      { text: '取消' },
      { text: '确定', extClass: 'buttonBold' },
    ],
  },
  onLoad() {
    this.setData({
      userId: getApp().globalData.userInfo.userId
    })
    this.getUserList()
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
    this.getUserList()
  },
  searchSubmit() {
    this.getUserList()
  },
  onModalClick() {
    this.setData({
      qrCodeModal: false,
    });
  },
  onModalClose() {
    this.setData({
      qrCodeModal: false,
    });
  },
  onChangeRole() {
    dd.redirectTo({ url: '/pages/index/index' })
  },
  getUserList() {
    let params = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      tenantId: getApp().globalData.tenantId,
      realname: "*" + this.data.searchValue + "*"
    }
    http.get('/jeecg/sys/user/list', params).then(res => {
      if (res.success) {
        this.setData({
          userList: res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
  onPullDownRefresh() {
    this.setData({
      pageSize: 10
    })
    this.getUserList()
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getUserList();
  },
  onItemClick(e) {
    if (e.target.dataset.id === getApp().globalData.userInfo.userId) {
      this.setData({
        modalOpened: true,
      });
    } else {
      my.showActionSheet({
        title: '选择角色',
        items: this.data.roleList.map(i => i.name),
        cancelButtonText: '取消',
        success: (res) => {
          http.get('/jeecg/dingTalk/scan',{type: 3, userId: e.target.dataset.id, roleId: this.data.roleList[res.index].roleId, time: new Date().getTime()}).then(res => {
            if (res.success) {
              this.getUserList();
            } else {
              util.ddToast({ type: 'fail', text: res.message })
            }
          })
        },
      })
    }
  },
  onButtonClick(e) {
    const { target: { dataset } } = e;
    this.setData({
      modalOpened: false,
    });
    if (dataset.index === 1) {
      http.get('/jeecg/dingTalk/qrCode', {tenantId: getApp().globalData.tenantId, time: new Date().getTime()}).then(res => {
        this.setData({
          qrCodeModal: true,
          qrCode: "data:image/jpg;base64," + res.result,
        })
      })
    }
  }
});
